/* Copyright 2004 NetApp, Inc., contribution by Yen-Chau Ngo.
 * Copyright 2008 NetApp, Inc., contribution by Ganesh R Narayanan.
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public
 * License version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License v2 for more
 * details.
 */ 

#ifndef AGENTDRV_H
#define AGENTDRV_H


#define RLM_IRQ_MAP          25


#define AGENT_SUPPORTED_IRQS 4
#define AGENT_IRQ            (0 + RLM_IRQ_MAP)
#define AGENT_IIRQ           (1 + RLM_IRQ_MAP)
#define LM77_IRQ             (2 + RLM_IRQ_MAP)
#define LM77_CIRQ            (3 + RLM_IRQ_MAP)

/* UIC status bits */
#define AGENT_IRQ_BIT        6
#define AGENT_IIRQ_BIT       5
#define LM77_IRQ_BIT         4
#define LM77_CIRQ_BIT        3

#define AGENT_IRQ_STAT       (1 << AGENT_IRQ_BIT)
#define AGENT_IIRQ_STAT      (1 << AGENT_IIRQ_BIT)
#define LM77_IRQ_STAT        (1 << LM77_IRQ_BIT)
#define LM77_CIRQ_STAT       (1 << LM77_CIRQ_BIT)
#define AGENTDRV_UIC_MASK    (AGENT_IRQ_STAT | AGENT_IIRQ_STAT | LM77_IRQ_STAT | LM77_CIRQ_STAT)


#define AGENTDRV_DEVNAME      "agentdrv"

/* ioctls */
#define AGENTDRV_ENABLE_IRQ     0
#define AGENTDRV_DISABLE_IRQ    1
#define AGENTDRV_UIC_STATUS     2
#define AGENTDRV_SUPPORTED_IRQS 3
#define AGENTDRV_SET_GPIO       4
#define AGENTDRV_CLR_GPIO       5
#define AGENTDRV_UIC_ER         6


#endif /* AGENTDRV_H */

