/* Copyright 2004 NetApp, Inc., contribution by Eric Gumtow.
 * Copyright 2008 NetApp, Inc., contribution by Ganesh R Narayanan.
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public
 * License version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License v2 for more
 * details.
 */

#ifndef __ECC_PVT_H__
#define __ECC_PVT_H__


#define SDRAM_DCR_BASE 0x10
#define MEMCFGA (SDRAM_DCR_BASE+0x0)   /* Memory configuration address reg */
#define MEMCFGD (SDRAM_DCR_BASE+0x1)   /* Memory configuration data reg */
#define MEM_ECCCF 0x94                 /* ECC configuration */
#define MEM_ECCCERR 0x98               /* ECC error status */
#define ECC_STAT_CE 10                 /* Correctable error latch */
#define ECC_STAT_UE 11                 /* Uncorrectable error latch */
#define REG_BIT(x) (1<<(32-((x)+1)))

#define RLM_ECC_IRQ 17
#define ECC_NAME "ECC_handler"
#define MODULE_VERSION "1.0"
#define MODULE_NAME "RLM ECC handler"


#endif
