# Copyright 2008 NetApp, Inc., contribution by Ganesh R Narayanan.
#
# This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public
# License version 2 as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License v2 for more
# details.
# 
# 

.c.o:
	$(CC) $(CFLAGS) -I$(INCLUDE) -c $< -o $*.o

.c.a:
	$(CC) $(CFLAGS) -I$(INCLUDE) -c $<
	$(AR) r $(ARFLAGS) $@ $*.o
	$(RM) $*.o


.PHONY: subdirs $(SUBDIRS)
subdirs: $(SUBDIRS)

$(SUBDIRS):
	@$(MAKE) -C $@

.DEFAULT: subdirs

clean:
	@if [ -n "$(OBJS)" ] ; then \
		$(RM) -f $(OBJS) ; \
	fi	
	@if [ -n "$(SUBDIRS)" ] ; then \
		for X in $(SUBDIRS) ; do \
			$(MAKE) -C $$X clean ; \
		done \
	fi

clobber:
	@if [ -n "$(OBJS)" ] ; then \
		$(RM) -f $(OBJS) ; \
	fi
	@if [ -n "$(TARGETS)" ] ; then \
		$(RM) -f $(TARGETS) ; \
	fi
	@$(RM) -f *~ *.o
	@if [ -n "$(SUBDIRS)" ] ; then \
		for X in $(SUBDIRS) ; do \
			$(MAKE) -C $$X clobber ; \
		done \
	fi
